function [probLiran,epsilon]=NinEstCDF(davidScoreCut)

load inIndexRef;
load dsRef;

Ncor=size(davidScoreCut,1);

tr=0.8;

%% create outIndex
tmp=ones(1,size(dsRef,1));
tmp(inIndexRef)=0;
outIndex=find(tmp==1);

%%%% only <=tr
dsRefIn=dsRef(inIndexRef);
dsRefOut=dsRef(outIndex);

dsRefIn=dsRefIn(find(dsRefIn<=tr));
dsRefOut=dsRefOut(find(dsRefOut<=tr));

Nin=size(dsRefIn,1);
Nout=size(dsRefOut,1);

clear dsRef;

N=100;
A=zeros(N,1);
b=A;
for i=1:(N+1),
    pos=(i)/(N+1)*tr;
    fx=sum(davidScoreCut<=pos)/Ncor;
    fi=sum(dsRefIn<=pos)/Nin;
    fo=sum(dsRefOut<=pos)/Nout;
    A(i)=fi-fo;
    b(i)=fx-fo;
end

alpha=A\b;
EstNin=round(alpha*size(davidScoreCut,1));
Est=[alpha EstNin];

alphaMin=max(alpha,0.05);
probLiran=zeros(Ncor,1);
for i=1:Ncor,
    pos=davidScoreCut(i);
    probLiran(i)=alphaMin*kernelSmoo(pos,dsRefIn)/(alphaMin*kernelSmoo(pos,dsRefIn)+(1-alphaMin)*kernelSmoo(pos,dsRefOut));
end

epsilon=alpha;
%save epsilon epsilon;
